/* rules.c - display dialog box with information about game rules
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 */
#include <gtk/gtk.h>

#include "5ball.h" /* _() */
#include "gtkutils.h"

/* Show dialog box with game rules*/
void show_rules(GtkWidget *widget, gpointer data) {
  	GtkWidget *window;
  	GtkWidget *vbox, *hbox, *button_box;
  	GtkWidget *label;
  	GtkWidget *frame;
  	GtkWidget *separator;
  	GtkWidget *ok_button;

	window=ut_window_new(_("Rules"), "5ball_Rules", "5ball", TRUE, FALSE, FALSE, 5);

  	vbox=gtk_vbox_new(FALSE, 0);
  	gtk_container_add(GTK_CONTAINER(window), vbox);

        frame=gtk_frame_new(_("Rules"));
  	gtk_box_pack_start(GTK_BOX(vbox), frame, TRUE, TRUE, 3);

  	hbox=gtk_hbox_new(FALSE, 0);
	gtk_container_set_border_width(GTK_CONTAINER(hbox), 10);
	gtk_container_add(GTK_CONTAINER(frame), hbox);

  	label=gtk_label_new(_("The standard play area of 5ball is a 9x9 grid (it can be changed \n" \
			      "through \"Rules\" option in the game menu).\n\n" \
			      "When 5ball is first started a number of different color balls \n" \
			      "are placed in a random manner on the grid. You may move \n" \
			      "balls on the grid by selecting them and then selecting \n" \
 			      "an empty square on the grid for the ball move to.... balls \n" \
			      "will only move if they are not blocked by other balls. \n\n" \
			      "Each time you move a ball, unless you score some points,\n" \
			      "new balls appear in a random manner on the grid. If \n" \
			      "the grid is full then the game is lost. This is inevitable...\n" \
			      "your goal is to score as high as possible before that happens.\n\n" \
			      "Balls are removed from the board by making a row of 5\n" \
			      "(the default) of the same color in a vertical, horizontal or \n" \
			      "diagonal direction. The length a line must have can also be  \n" \
			      "changed through the \"Rules\" option in the game menu.\n" \
			      "In order to help you decide which ball you to move there is \n" \
			      "an indicator on top of the grid which shows what colors the \n" \
			      "next balls that will appear on the grid will be.\n\nGood Luck!"));

  	gtk_box_pack_start(GTK_BOX(hbox), label, TRUE, TRUE, 5);

  	separator=gtk_hseparator_new();
  	gtk_box_pack_start(GTK_BOX(vbox), separator, FALSE, FALSE, 5);

  	button_box=gtk_hbox_new(FALSE, 0);
  	gtk_box_pack_start(GTK_BOX(vbox), button_box, TRUE, TRUE, 2);

        ok_button=ut_button_new_stock_swap(GTK_STOCK_CLOSE, gtk_widget_destroy, window, button_box);

        gtk_widget_grab_default(ok_button);
  	gtk_widget_show_all(window);
}
